These are chat archives for ipython/ipython

12th
Jul 2015

... Building wheels for collected packages:path.py, pickleshare, simplegeneric, ipython-genu
tils, traitlets, ipython

...

Running setup.py install for notebook
Complete output from command D:\WinPython\basedir34\build\winpython-3.4.3.am
d64\python-3.4.3.amd64\python.exe -c "import setuptools, tokenize;file='C:\
Users\famille\AppData\Local\Temp\pip-zax2wz7k-build\setup.py';exec(compile
(getattr(tokenize, 'open', open)(file).read().replace('\r\n', '\n'), _file
_, 'exec'))" install --record C:\Users\famille\AppData\Local\Temp\pip-m_44xhra-r
ecord\install-record.txt --single-version-externally-managed --compile:
running install
running build
running build_py
running jsversion
running css
running jsdeps
D:\WinPython\basedir34\build\winpython-3.4.3.amd64\python-3.4.3.amd64\lib\si
te-packages\setuptools\dist.py:285: UserWarning: Normalizing '4.0.0.dev' to '4.0
.0.dev0'
normalized_version,
npm unavailable
Failed to run bower: [WinError 2] Le fichier spÚcifiÚ est introuvable
You can install js dependencies with npm install
rebuilding js and css failed (not a problem)
[WinError 2] Le fichier spÚcifiÚ est introuvable
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "C:\Users\famille\AppData\Local\Temp\pip-zax2wz7k-build\setup.py", li
ne 190, in <module>
main()
File "C:\Users\famille\AppData\Local\Temp\pip-zax2wz7k-build\setup.py", li
ne 187, in main
setup(**setup_args)
File "D:\WinPython\basedir34\build\winpython-3.4.3.amd64\python-3.4.3.amd6
4\lib\distutils\core.py", line 148, in setup
dist.run_commands()
File "D:\WinPython\basedir34\build\winpython-3.4.3.amd64\python-3.4.3.amd6
4\lib\distutils\dist.py", line 955, in run_commands
self.run_command(cmd)
File "D:\WinPython\basedir34\build\winpython-3.4.3.amd64\python-3.4.3.amd6
4\lib\distutils\dist.py", line 974, in run_command
cmd_obj.run()
File "D:\WinPython\basedir34\build\winpython-3.4.3.amd64\python-3.4.3.amd6
4\lib\site-packages\setuptools\command\install.py", line 61, in run
return orig.install.run(self)
File "D:\WinPython\basedir34\build\winpython-3.4.3.amd64\python-3.4.3.amd6
4\lib\distutils\command\install.py", line 539, in run
self.run_command('build')
File "D:\WinPython\basedir34\build\winpython-3.4.3.amd64\python-3.4.3.amd6
4\lib\distutils\cmd.py", line 313, in run_command
self.distribution.run_command(command)
File "D:\WinPython\basedir34\build\winpython-3.4.3.amd64\python-3.4.3.amd6
4\lib\distutils\dist.py", line 974, in run_command
cmd_obj.run()
File "D:\WinPython\basedir34\build\winpython-3.4.3.amd64\python-3.4.3.amd6
4\lib\distutils\command\build.py", line 126, in run
self.run_command(cmd_name)
File "D:\WinPython\basedir34\build\winpython-3.4.3.amd64\python-3.4.3.amd6
4\lib\distutils\cmd.py", line 313, in run_command
self.distribution.run_command(command)
File "D:\WinPython\basedir34\build\winpython-3.4.3.amd64\python-3.4.3.amd6
4\lib\distutils\dist.py", line 974, in run_command
cmd_obj.run()
File "C:\Users\famille\AppData\Local\Temp\pip-zax2wz7k-build\setupbase.py"
, line 455, in run
command.run(self)
File "C:\Users\famille\AppData\Local\Temp\pip-zax2wz7k-build\setupbase.py"
, line 196, in run
check_package_data(self.package_data)
File "C:\Users\famille\AppData\Local\Temp\pip-zax2wz7k-build\setupbase.py"
, line 186, in check_package_data
assert os.path.exists(path), "Missing package data: %s" % path
AssertionError: Missing package data: notebook\static\auth\js\main.min.js
checking package data

----------------------------------------

Command "D:\WinPython\basedir34\build\winpython-3.4.3.amd64\python-3.4.3.amd64\p
ython.exe -c "import setuptools, tokenize;file='C:\Users\famille\AppData\
\Local\Temp\pip-zax2wz7k-build\setup.py';exec(compile(getattr(tokenize, 'open
', open)(file).read().replace('\r\n', '\n'), file

so, would it mean that it can work only if we have "npm" (on Windows) ? (which mean we need to have node-gyp, which i fear mean we would need to have all VisualStudio of the right version ... I must be wrong)
stonebig
@stonebig
Jul 12 2015 09:43
trying what installed: "basic command line IPython4"

D:\WinPython\basedir34\build\winpython-3.4.3.amd64\scripts>ipython
WARNING: Readline services not available or not loaded.
WARNING: Proper color support under MS Windows requires the pyreadline library.
You can find it at:
http://ipython.org/pyreadline.html

Defaulting color scheme to 'NoColor'
Python 3.4.3 (v3.4.3:9b73f1c3e601, Feb 24 2015, 22:44:40) [MSC v.1600 64 bit (AM
D64)]
Type "copyright", "credits" or "license" for more information.

IPython 4.0.0-dev -- An enhanced Interactive Python.
? -> Introduction and overview of IPython's features.
%quickref -> Quick reference.
help -> Python's own help system.
object? -> Details about 'object', use 'object??' for extra details.

In [1]:

trying what installed: " qtconcole IPython4"

D:\WinPython\basedir34\build\winpython-3.4.3.amd64\scripts>ipython qtconsole
[JupyterQtConsoleApp] Copying D:\WinPython\basedir34\build\winpython-3.4.3.amd64
\settings.ipython\profile_default\security\notebook_secret -> C:\Users\famille\
AppData\Roaming\jupyter\notebook_secret
[JupyterQtConsoleApp] Copying D:\WinPython\basedir34\build\winpython-3.4.3.amd64
\settings.ipython\profile_default\security\nbsignatures.db -> C:\Users\famille\
AppData\Roaming\jupyter\nbsignatures.db
[JupyterQtConsoleApp] Copying D:\WinPython\basedir34\build\winpython-3.4.3.amd64
\settings.ipython\profile_default\security\notebook_cookie_secret -> C:\Users\f
amille\AppData\Roaming\jupyter\notebook_cookie_secret
Cannot open file 'D:/WinPython/basedir34/build/winpython-3.4.3.amd64/python-3.4.
3.amd64/lib/site-packages/qtconsole/resources/icon/IPythonConsole.svg', because:
Le chemin d?acc?s sp?cifi? est introuvable.
Cannot open file 'D:/WinPython/basedir34/build/winpython-3.4.3.amd64/python-3.4.
3.amd64/lib/site-packages/qtconsole/resources/icon/IPythonConsole.svg', because:
Le chemin d?acc?s sp?cifi? est introuvable.

stonebig
@stonebig
Jul 12 2015 09:48
then qtconsole starts, can launch some seaborn and matplotlib examples. main issue for basic windows users is the "npm" thing, but I'm just baby stepping in this js packaging world.
stonebig
@stonebig
Jul 12 2015 10:47
so apparently, i need to install node.js to get npm on the command line ? trying further
stonebig
@stonebig
Jul 12 2015 10:58

still failing me, even with "npm"...
, line 186, in check_package_data
assert os.path.exists(path), "Missing package data: %s" % path
AssertionError: Missing package data: notebook\static\auth\js\main.min.js
installing build dependencies with npm
checking package data

----------------------------------------

Command "D:\WinPython\basedir34\build\winpython-3.4.3.amd64\python-3.4.3.amd64\p
ython.exe -c "import setuptools, tokenize;file='C:\Users\famille\AppData\
\Local\Temp\pip-cx6ker4f-build\setup.py';exec(compile(getattr(tokenize, 'open
', open)(file).read().replace('\r\n', '\n'), file, 'exec'))" install --r
ecord C:\Users\famille\AppData\Local\Temp\pip-mkuk4x_y-record\install-record.txt
--single-version-externally-managed --compile" failed with error code 1 in C:\U
sers\famille\AppData\Local\Temp\pip-cx6ker4f-build

Marcin Junczys-Dowmunt
@emjotde
Jul 12 2015 18:54
Hi, I have been playing around with "%matplotlib notebook", can you think of a quick hack to make it work with "Download as PDF via Latex". Currently I have to change it back to the "inline" backend. I am using IPython 3.3-dev.